#define F_CPU 16000000

#include "servo.h"
#include <avr/io.h>
#include <util/delay.h>
#include <stdlib.h>
#include <stdio.h>

/* Initializeaza pinii de output & setarile pentru controlul servomotorului */
void init_pen() {
	DDRD |= (1 << PD5);
	TCCR1A |= (1 << WGM10);
	TCCR1B |= (1 << WGM12);
	TCCR1A |= (1 << COM1A1);
	TCCR1B |= (1 << CS12) | (1 << CS10);
	OCR1A =  30;
 	_delay_ms(1000);
}
/* Ridica stiloul - seteaza unghiului servomotorului la 90 */
void raise_pen() {

 	OCR1A =  30;
 	_delay_ms(1000);
}
/* Ridica stiloul - seteaza unghiului servomotorului la 45 */
void lower_pen() {

 	OCR1A =  15;
 	_delay_ms(1000);
}