#ifndef STEPPER_H_
#define STEPPER_H_

#include <avr/io.h>
#include <util/delay.h>
#include <stdlib.h>
#include <stdio.h>

/* Functie de delay */
void my_delay(int period);

/* Initializeaza pinii de output ai primului stepper */
void init_stepper1();

/* Initializeaza pinii de output ai celui de-al doilea stepper */
void init_stepper2();

/* Roteste axul motorului stepper in sensul acelor de ceasornic */
void rotateClockwise(volatile uint8_t *port, int pin0, int pin1, int pin2, int pin3, int period, int steps);

/* Roteste axul motorului in sensul invers acelor de ceasornic */
void rotateAntiClockwise(volatile uint8_t *port, int pin0, int pin1, int pin2, int pin3, int period, int steps);

#endif //STEPPER